import { html } from '@microsoft/fast-element';
/**
 * @public
 */
export const NotificationDashboardTemplate = html `
  <div class="notification-dashboard" data-test-id="notification-dashboard">
    <zero-layout>
      <zero-layout-region type="vertical">
        <zero-layout-region type="tabs">
          <zero-layout-item title="ALL_NOTIFY_ALERT_RECORDS">
            <entity-management
              resourceName="ALL_NOTIFY_ALERT_RECORDS"
            ></entity-management>
          </zero-layout-item>
          <zero-layout-item title="ALL_NOTIFY_RECORDS">
            <entity-management resourceName="ALL_NOTIFY_ALERT_RECORDS"     
                               createEvent="EVENT_NOTIFY_INSERT"
                               updateEvent="EVENT_NOTIFY_MODIFY"
                               deleteEvent="EVENT_DISMISS_NOTIFY_ALERT"></entity-management>
          </zero-layout-item>
        </zero-layout-region>
        <zero-layout-region type="horizontal">
          <zero-layout-region type="tabs">
          <zero-layout-item title="ALL_DYNAMIC_NOTIFY_RULES">
            <entity-management
              resourceName="ALL_DYNAMIC_NOTIFY_RULES"
              createEvent="EVENT_DYNAMIC_RULE_NOTIFY_CREATE"
              updateEvent="EVENT_DYNAMIC_RULE_NOTIFY_UPDATE"
              deleteEvent="EVENT_DYNAMIC_RULE_NOTIFY_DELETE"
            ></entity-management>
          </zero-layout-item>
          </zero-layout-region>
          <zero-layout-region type="tabs">
          <zero-layout-item title="ALL_SCREEN_ROUTES">
            <entity-management
              resourceName="ALL_SCREEN_ROUTES"
              createEvent="EVENT_SCREEN_NOTIFY_ROUTE_CREATE"
              updateEvent="EVENT_SCREEN_NOTIFY_ROUTE_UPDATE"
              deleteEvent="EVENT_SCREEN_NOTIFY_ROUTE_DELETE"
            ></entity-management>
          </zero-layout-item>
          <zero-layout-item title="ALL_EMAIL_DISTRIBUTION_ROUTES">
            <entity-management
              resourceName="ALL_EMAIL_DISTRIBUTION_ROUTES"
              createEvent="EVENT_EMAIL_DISTRIBUTION_ROUTE_CREATE"
              updateEvent="EVENT_DYNAMIC_RULE_NOTIFY_UPDATE"
              deleteEvent="EVENT_DYNAMIC_RULE_NOTIFY_DELETE"
            ></entity-management>
          </zero-layout-item>
          <zero-layout-item title="ALL_EMAIL_USER_ROUTES">
            <entity-management
              resourceName="ALL_EMAIL_USER_ROUTES"
              createEvent="EVENT_EMAIL_USER_ROUTE_CREATE"
              updateEvent="EVENT_EMAIL_USER_ROUTE_UPDATE"
              deleteEvent="EVENT_EMAIL_USER_ROUTE_DELETE"
            ></entity-management>
          </zero-layout-item>
          <zero-layout-item title="ALL_LOG_ROUTES">
            <entity-management
              resourceName="ALL_LOG_ROUTES"
              createEvent="EVENT_LOG_ROUTE_CREATE"
              updateEvent="EVENT_LOG_ROUTE_UPDATE"
              deleteEvent="EVENT_LOG_ROUTE_DELETE"
            ></entity-management>
          </zero-layout-item>
          <zero-layout-item title="ALL_MS_TEAMS_ROUTES">
            <entity-management
              resourceName="ALL_MS_TEAMS_ROUTES"
              createEvent="EVENT_MS_TEAMS_ROUTE_CREATE"
              updateEvent="EVENT_MS_TEAMS_ROUTE_UPDATE"
              deleteEvent="EVENT_MS_TEAMS_ROUTE_DELETE"
            ></entity-management>
          </zero-layout-item>
        </zero-layout-region>
      </zero-layout-region>
    </zero-layout>
  </div>
`;
